#version 430 core

out vec4 FragColor;

in vec2 TexCoords;

uniform sampler2D scene;
uniform sampler2D bloomBlur;
uniform bool bloom;


void main()
{             

	vec3 original = max(texture( scene, TexCoords).rgb, vec3(0.0));
	vec3 bloomScene = max(texture( bloomBlur, TexCoords).rgb, vec3(0.0));
	if(bloom) original+=bloomScene;
    FragColor = vec4(original, 1.0) ;

}